## acbuild 0.4.0+dfsg

=== debian/changelog ===
acbuild (0.4.0+dfsg-3) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * golang-go.crypto-dev --> golang-golang-x-crypto-dev (Closes: #901491).
  * Standards-Version: 4.1.4; Priority: optional
  * debhelper & compat to version 11

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 Jun 2018 14:22:11 +1000

acbuild (0.4.0+dfsg-2) unstable; urgency=medium

  * rkt-dev was renamed (Closes: #888922)
  * d/control: set XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 31 Jan 2018 09:52:49 +0100

acbuild (0.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #830465).
  * Build-Depends:
    + golang-github-appc-docker2aci-dev
    = golang-github-appc-spec-dev (>= 0.8.5~)
    = golang-github-coreos-rkt-dev (>= 1.8.0~)
  * Removed "golang-go" from Depends.
  * Build and install man pages.
  * Parallel build.
  * Vcs-Git URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 15 Aug 2016 07:47:45 +1000

acbuild (0.3.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #804405).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 May 2016 18:50:55 +1000
